#include "./parsing_private.h"

static int	name_check(const char *path)
{
	size_t	len;

	len = ft_strlen(path);
	if (len < 4
		|| (ft_strcmp(".cub", path + len - 4) != 0))
	{
		ft_eprintf("map: name doesn't finished by .cub");
		return (1);
	}
	return (0);
}

int	parsing_meta(const char *path)
{
	return (name_check(path));
}
